%{?nodejs_find_provides_and_requires}

Name:       nodejs-abbrev
Version:    1.1.1
Release:    %mkrel 1
Group:      Development/C
Summary:    Abbreviation calculator for Node.js
License:    MIT
URL:        https://github.com/isaacs/abbrev-js
Source0:    http://registry.npmjs.org/abbrev/-/abbrev-%{version}.tgz
BuildArch:  noarch

BuildRequires:  nodejs-packaging

%description
Calculate the set of unique abbreviations for a given set of strings.

%prep
%setup -q -n package

%build
#nothing to do

%install

mkdir -p %{buildroot}%{nodejs_sitelib}/abbrev
cp -pr abbrev.js package.json %{buildroot}%{nodejs_sitelib}/abbrev

%nodejs_symlink_deps

%check
node abbrev.js

%files
%{nodejs_sitelib}/abbrev
%doc README.md
%license LICENSE



%changelog
* Thu Jun 11 2020 joequant <joequant> 1.1.1-1.mga8
+ Revision: 1592531
- update to 1.1.1

* Wed Feb 12 2020 umeabot <umeabot> 1.0.4-4.mga8
+ Revision: 1492311
- Mageia 8 Mass Rebuild

* Wed Sep 19 2018 umeabot <umeabot> 1.0.4-3.mga7
+ Revision: 1264667
- Mageia 7 Mass Rebuild

* Mon Feb 08 2016 umeabot <umeabot> 1.0.4-2.mga6
+ Revision: 950280
- Mageia 6 Mass Rebuild

* Mon Oct 27 2014 tv <tv> 1.0.4-1.mga5
+ Revision: 793649
- imported package nodejs-abbrev

